# $Revision: 1.6 $, $Date: 2008/07/27 23:05:19 $
Summary:	AST View - a view to visualize the AST (abstract syntax tree) of a Java file open in the editor
Summary(pl.UTF-8):	AST View - widok wizualizujący AST (abstrakcyjne drzewo składni) otwartego pliku w Javie
Name:		eclipse-plugin-astview
Version:	1.1.3
Release:	3
License:	EPL v1.0
Group:		Development/Languages
Source0:	http://www.eclipse.org/jdt/ui/update-site/plugins/org.eclipse.jdt.astview_%{version}.jar
# Source0-md5:	1b189f8076c6c030a3ea51e2fc7401a2
URL:		http://www.eclipse.org/jdt/ui/astview/
Requires:	eclipse >= 3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_eclipsedir  	%{_libdir}/eclipse

%description
A view to visualize the AST (abstract syntax tree) of a Java file open
in the editor. Navigate from text selection to AST nodes and from
nodes to selections. Show bindings and compare them.

%description -l pl.UTF-8
Widok wizualizujący AST (abstrakcyjne drzewo składni) pliku w Javie
otwartego w edytorze. Pozwala przechodzić od zaznaczenia tekstu do
węzłów AST oraz od węzłów do zaznaczenia, a także pokazywać i
porównywać dowiązania.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_eclipsedir}/plugins

install %{SOURCE0} $RPM_BUILD_ROOT%{_eclipsedir}/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/eclipse/plugins/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-plugin-astview.spec,v $
Revision 1.6  2008/07/27 23:05:19  arekm
- release 3

Revision 1.5  2007-02-12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/12/13 15:30:30  qboosh
- pl

Revision 1.2  2006/12/12 21:11:18  pluto
- oops, libdir/plugins excludes noarch class, release 2.

Revision 1.1  2006/12/12 19:29:23  pluto
- new.
